# Interface AbstractUser

interface AbstractUser {
email?: string;
id?: number;
role_id: number;
[k: string]: any;
}

#### Indexable

- [k: string]: any

- Defined in model-abstracts/abstract_user.ts:1

##### Index

### Properties

email?
id?
role_id

## Properties

### `Optional` email

email?: string

- Defined in model-abstracts/abstract_user.ts:2

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_user.ts:4

### role_id

role_id: number

- Defined in model-abstracts/abstract_user.ts:3